## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           marshalparser
Version:        0.3.4
Release:        %autorelease
Summary:        Parser for Python internal Marshal format

# SPDX
License:        MIT
URL:            https://github.com/fedora-python/%{name}
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

# For tests on various pyc files
# We intentionally skip those on RHEL to avoid pulling other Pythons into next RHEL.
# When a new Python is added into RHEL, the new version should be explicitly added.
%if %{undefined rhel}
BuildRequires:  python3.6
BuildRequires:  python3.7
BuildRequires:  python3.8
BuildRequires:  python3.9
BuildRequires:  python3.10
BuildRequires:  python3.11
BuildRequires:  python3.12
%endif

%generate_buildrequires
%pyproject_buildrequires -x test

%description
Parser for Python internal Marshal format which can fix pyc files
reproducibility.

%prep
%autosetup

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

%check
%pytest

%files -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.3.4-4
- Rebuilt for Python 3.12

* Wed May 31 2023 Karolina Surma <ksurma@redhat.com> - 0.3.4-3
- Review the License tag according to the SPDX standard

* Fri Mar 17 2023 Miro Hrončok <miro@hroncok.cz> - 0.3.4-2
- Drop dependency on tox and skip other-Python-versions tests on ELN

* Fri Mar 17 2023 Lumir Balhar <lbalhar@redhat.com> - 0.3.4-1
- Update to 0.3.4 (rhbz#2179370)

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Nov 05 2022 Lumír Balhar <lbalhar@redhat.com> - 0.3.3-1
- Update to 0.3.3
Resolves: rhbz#2140261

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.3.1-2
- Rebuilt for Python 3.11

* Mon May 16 2022 Lumír Balhar <lbalhar@redhat.com> - 0.3.1-1
- Update to 0.3.1

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Oct 13 2021 Lumír Balhar <lbalhar@redhat.com> - 0.3.0-1
- Update to 0.3.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.2.6-2
- Rebuilt for Python 3.10

* Fri Apr 30 2021 Lumír Balhar <lbalhar@redhat.com> - 0.2.6-1
- Update to 0.2.6

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Dec 18 2020 Lumír Balhar <lbalhar@redhat.com> - 0.2.5-1
- Update to 0.2.5

* Tue Dec 08 2020 Lumír Balhar <lbalhar@redhat.com> - 0.2.4-1
- Update to 0.2.4

* Wed Nov 11 2020 Lumír Balhar <lbalhar@redhat.com> - 0.2.3-1
- Update to 0.2.3 (#1896208)

* Tue Nov 10 2020 Lumír Balhar <lbalhar@redhat.com> - 0.2.2-1
- Update to 0.2.2 (#1896208)

* Wed Sep 16 2020 Lumír Balhar <lbalhar@redhat.com> - 0.2.1-1
- Update to 0.2.1

* Wed Jul 29 2020 Lumír Balhar <lbalhar@redhat.com> - 0.2.0-1
- Update to 0.2.0

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 15 2020 Lumír Balhar <lbalhar@redhat.com> - 0.1.1-1
- Initial package

